
Foreman - Bug #26025

update fog-google to latest version i.e 1.8.2

02/11/2019 02:12 PM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6476,

https://github.com/theforeman/foreman/p

ull/6475

  

Description

Related issues:

Related to Foreman - Bug #26024: Remove fog and set fog-core to 2.1.0 and net... Closed

Associated revisions

Revision 14e90094 - 03/27/2019 12:51 PM - Kavita Gaikwad

Fixes #26024,#26025 - removed fog & updated fog-google ~> 1.8.2 (#6475)

Locked version of 'fog-core' to '2.1.0' and 'net-ssh' to 4.2.0

as in latest version of net-ssh values of options

i.e paranoid/verify_host_key are changed but fog-core

still using old values.

Also, modified GCE test using mock.

History

#1 - 02/11/2019 02:14 PM - Kavita Gaikwad

- Related to Bug #26024: Remove fog and set fog-core to 2.1.0 and net-ssh to '4.2.0' added

#2 - 02/11/2019 02:20 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6476 added

#3 - 02/15/2019 10:15 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6475 added

#4 - 02/25/2019 01:39 PM - Kavita Gaikwad

- Subject changed from update fog-google to latest version to update fog-google to latest version i.e 1.8.2

#5 - 03/27/2019 12:52 PM - Marek Hulán

- Fixed in Releases 1.22.0 added

#6 - 03/27/2019 01:02 PM - Kavita Gaikwad

- Status changed from Ready For Testing to Closed

Applied in changeset 14e90094305a29440923a8fc21af1afde3173314.

#7 - 04/21/2019 01:45 PM - Tomer Brisker
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/14e90094305a29440923a8fc21af1afde3173314


- Category set to Compute resources - GCE
